Get account balance

Returns a snapshot of an account balance and buying power on the CLOB matching the given filters.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Use this request body to retrieve the balance for a specific participant.
Note: The participants' Fiat balances can be maintained by the platform's account

string
required

The account associated with the order. This can be either the participant_code assigned by zerohash or the account_label defined by the platform.

  • Custom account label : firms/{platform_code}/accounts/{account_label}.
  • General account label : firms/{platform_code}/accounts/{participant_code}.
string
enum
required

Fully-qualified user. Format: firms/F-{platform_code}/users/{participant_code}. This value is case sensitive.

Clearing House Designations

  • USA: 00SXCM (ZH Clearing House)
  • EU: ZHDSEU

Prefunded Model

  • USD balances are ledgered directly to the participants on their CLOB account.
    • Participants will be credit checked against their available balance on the zerohash platform.
  • Accounts must be registed with the prefunded field as true on the POST /accounts endpoint.
  • Trade settlement is handled directly between participants and occurs instantly upon execution.

Novated Model

  • Utilizes a central float account to manage the cumulative buying power of your customers.
    • USD balance is ledgeder to the platforms float account.
    • USD credit checks must be performed by the platform prior to order placement.
  • Accounts must be registed with the prefunded field as false on the POST /accounts endpoint.
  • Allows platforms to manage the buying power of their customers effectively, allowing for better operational efficiency.
Allowed:
string
required

Currency code to return the balance in (ISO 4217, three letters).

Headers
string
required

HMAC-SHA256 signature of the request, base64-encoded. See the Authentication guide for the exact signing formula.

string
required

Current Unix timestamp in seconds. Must be within 60 seconds of server time or the request is rejected.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json